1
vote
1answer
18 views

Arch Linux on ARM chipset I just want to install gcc 4.7

It sounds simple enough but this has got me pulling my hair out. I am running Arch Linux on an ARM chipset (Raspberry Pi specifically) that I used to be using as a print server. It was running CUPS ...
1
vote
1answer
16 views

How do I change my pacman root so that it downloads packages elsewhere?

My /root is full to the brim and I can't install new packages. My /home has 8 times the space of my /root, but pacman is set to install new packages on /root. Is there a safe way that I can change ...
2
votes
2answers
58 views

How to tell package manager that dependencies are already installed?

I'm running Arch Linux, and I have texlive 2013 installed from CTAN, not from repositories. Now when I try to install lilypond via pacman, it wants texlive-bin-2013.30973-7 and ...
0
votes
2answers
186 views

Installing ruby 2.1 on Arch via RVM

I have problems installing ruby 2.1.0 via RVM on Arch. My vagrant provisioning file looks like this: sudo pacman -Syu --noconfirm sudo pacman -S --needed base-devel --noconfirm sudo pacman -S vim ...
1
vote
1answer
46 views

How to install with pacman in ArchLinux without asking the user y/n? [duplicate]

I am looking for the equivalent of RHEL's yum -y in ArchLinux's pacman so that I can install packages with a shell script without asking the user questions.
1
vote
1answer
60 views

local package cache for arch linux

I am running an arch linux system and want to host a few arch linux VMs. For installing and updating the VMs they need access to the arch package repository which is usually achieved by a direct ...
0
votes
1answer
27 views

IgnorePkg doesn't work for gvim and vim-runtime package

I use a modified vim in Arch Linux, so I blocked gvim and vim-runtime from upgrading: In /etc/pacman.conf I have: IgnorePkg = gvim , vim-runtime, vim, ... But when I do pacman -Syu, it still checks ...
1
vote
1answer
60 views

Missing Python.h in Arch

I use Arch Linux. I want to compile a C++ file that includes <Python.h>. But I can't do it. In Debian based systems this problem is resolved with sudo apt-get install python-dev. How I can ...
0
votes
1answer
1k views

Installing sublime-text 2 with pacman

I want to install sublime-text 2 in Arch Linux with pacman package manager; how i can do this work?
0
votes
1answer
231 views

Arch Linux pacman specifying package version

I know that I can define wanted package version in pacman like shown in its manual pacman -S "bash>=3.2". But how do I know what versions are available? I also know that pacman is creating copy ...
1
vote
1answer
82 views

How to resume pacman package downloads?

I'm trying to install some updates while on a sketchy connection in Arch Linux. What is the best way to do that? while ! pacman --noconfirm --needed --refresh --upgrade do : done took over 90 ...
1
vote
1answer
158 views

How to install software from Arch boot disk to existing Arch system?

I've got an existing Arch Linux installation. After booting from the installation media, is there some way to install software either from the installation media or using the network I've set up using ...
2
votes
1answer
142 views

How to let pacman notice the ruby installed by rbenv?

I use rbenv to manage ruby versions. I want to install gvim on my ArchLinux and one of it's dependency is ruby. I'm already use rbenv to install the version 2.0.0-p247 of ruby as root ...
1
vote
3answers
463 views

Arch Linux: Unsatisfied dependences: open-vm-tools-modules requires linux<3.10

pacman refuses to upgrade my Arch Linux system because of a conflict between open-vm-tools-modules and the linux kernel package: $ sudo pacman -Syu :: Synchronizing package databases... core is up to ...
1
vote
2answers
142 views

Using RVM with gvim without installing the ruby binary

In Arch Linux, apparently gvim requires to install ruby as a dependency. However, if I want to work with RVM, then I don't need the binary ruby installed. Can that cause problems? Can ruby be ...
2
votes
2answers
159 views

What to do after cancelled “rm -rf /usr/” on Arch?

So I just did this on my up-to-date Arch system: [anna@home ~]$ sudo rm -rf /usr/ ^C[anna@home ~]$ ^C [anna@home ~]$ ^C I terminated the rm very quickly. I can't find anything wrong with /usr/ by ...
8
votes
1answer
7k views

Pacman -Syu fails `/bin exists in filesystem`

I was trying to upgrade my arch linux with pacman -Syu after having returned from vacation and now I get this error that I cannot quite make sense of: (133/133) checking for file conflicts ...
1
vote
1answer
382 views

How to add a program to be indexed by Synapse?

I downloaded the IntelliJ community edition and I'm currently running it by clicking the shell script that is in the folder of IntelliJ I was wondering how I can make Synapse recognize the idea.sh ...
0
votes
2answers
2k views

What exactly is PKGBUILD and should I edit it when installing packages?

Whenever I use yaourt -Syua in my Manjaro Linux system, it'll give me Edit PKGBUILD ? [Y/n] ("A" to abort) and sometimes Edit chromium-pepper-flash.install ? [Y/n] ("A" to abort) Somewhere I ...
3
votes
2answers
501 views

How to install Ruby 1.9.3 on Arch?

The wiki suggests using $sudo pacman -S ruby1.9 but the package isn't there... I'd rather not compile it from source but I can if no one knows.
4
votes
2answers
188 views

Should I restart after a pacman upgrade?

after running sudo pacman -Syyu or sudo pacman -S [something to install] should I restart just to be safe?
3
votes
1answer
300 views

ArchLinux pacman updates on Arm

I have ArchLinux embedded in userspace on my Samsung Series 3 Chromebook. The version of GCC I have installed via pacman is 4.7.2. I'd like a newer version, and the package database here shows that ...
6
votes
2answers
2k views

Arch linux : pacman does not work when chrooting

I have Ubuntu installed on my computer. I decided to install Arch linux, but I skipped the part about Grub installation as it is already installed. Seeing that Arch does not show up in Grub's menu ...
3
votes
1answer
303 views

Arch Linux: How to ignore certain packages for certain repositories using pacman?

I have an unofficial repository called haskell-core. I want to blacklist every haskell package in extra and use the packages from haskell-core instead. I don't want to use haskell packages from extra ...
0
votes
0answers
1k views

Arch Linux: “error: failed to commit transaction (conflicting files)”

I'm trying to install an Arch system, and every time I run pacstrap /mnt base base-devel I get error: failed to commit transaction (conflicting files) filesystem: /mnt/lib exists in filesystem ==> ...
0
votes
1answer
393 views

Adding Arch Linux's repository to Manjaro

Is it safe to use Archlinux's repository within Manjaro Linux installation? If it is, all I need to do is just add some line to /etc/pacman.d/mirrorlist, right?
2
votes
1answer
199 views

How to copy the output of pacman-color into a file and to display the output with the colors in the terminal

Originally I used pacman, not pacman-color and I copied the output into a file and I displayed the output in the terminal with the following command : pacman -Syu | tee file.log Unfortunately, it ...
2
votes
2answers
158 views

How to retrieve an installed AUR package?

I used yaourt to successfully build and install an AUR package, unfortunately missing the fact that in its default configuration the built package is removed after installation. Since the build took ...
3
votes
1answer
148 views

How to see which pacman updates are major?

I like to keep track of what's on my system and what is getting updated. However, there's a lot of tiny updates, e.g. gedit 3.6.2-1 to 3.6.2-2 that I don't want to think too much about. Is there a ...
5
votes
3answers
162 views

See end-nodes of dependency graphs

I'm using Arch Linux, with its Pacman package manager. I want to keep my system as clean as possible, and that includes not having any unused packages installed. But, because of dependencies, it's not ...
0
votes
1answer
661 views

Arch Linux failed to install libproxy for invalid signature

The following message is from my terminal: resolving dependencies... looking for inter-conflicts... Targets (1): libproxy-0.4.7-2 Total Installed Size: 0.29 MiB Proceed with installation? [Y/n] ...
7
votes
3answers
2k views

List optional dependencies with pacman on arch linux

I'm using arch linux. Is there a way to list optional dependencies of all installed packages? And if yes, can I filter this list to see only the missing (not installed) packages?
6
votes
1answer
2k views

Pacman option to assume “yes” to every question?

When installing software in debian systems we can put something like this: sudo apt-get install -y chromium-browser that way the installation occurs automatically, whitout asking to confirm ...
2
votes
2answers
1k views

How can I find and install pacman-color or cope?

I'm using Arch-Linux and I'm trying to install something that colors the text in the terminal (xterm), but not necessarily just for xterm. It would be nice to find something for text without ...
2
votes
1answer
1k views

Arch Linux - Is it possible to instruct pacman to install certain packages into a specific directory?

I want to install a set of software organized into directories at the root level. Is there any method in which I can use pacman to install certain packages into a directory of my choosing?
1
vote
2answers
934 views

Check for updates of packages installed through yaourt

Is there anyway to update package installed with yaourt ? yaourt -Syu seems to do the same as pacman -Syu, which only care about package in official repository.
2
votes
2answers
3k views

Cannot Compile Apache: “Error, SSL/TLS libraries were missing or unusable”

Arch Linux 2011.08.19 (Linux 3.4.2 i686) Apache 2.2.22 → 2.2.22 (recompile & reinstall) OpenSSL 1.0.1.c-1 These details are likely irrelevant, but: I’m using yaourt with customizepkg to build ...
3
votes
1answer
251 views

How do I run my native `pacman` against a mounted image?

I have read and followed Is it possible to update, upgrade and install software before flashing an image?. I managed to mount the official Arch image, synchronise the database and update the ...
2
votes
2answers
357 views

How do I use pacman on a loop-mounted Arch image for a different architecture?

I would like to install some packages on an ARM image before flashing it to an SD card. So far, I have loop mounted the image sudo mount -o loop,offset=99614720 archlinuxarm-13-06-2012.img /mnt and ...
-1
votes
4answers
679 views

Arch Linux: Yaourt/Makepkg Can Not Build Apache

I am using yaourt to automatically compile Apache from source every time there’s an update available from extra. I am doing this so that I can have a custom suexec docroot (/srv/www rather than the ...
4
votes
2answers
597 views

Can I make pacman aware of packages installed manually?

Due to my setup I cannot make use of pacman to actually install packages, however if I install a package from the Arch repositories manually by downloading and extracting it, eg: wget ...
4
votes
1answer
686 views

pacman-key --init takes too long and does not exit

First, I am new to Arch Linux. I have installed Arch Linux on my system and now when I try to install something using pacman, it gives me an error that the key 'xxxxxxx' was not found. I Googled and ...
4
votes
2answers
115 views

View notes for certain package in ArchLinux without package removal?

I've installed couple of packages and forget what they recommended. Now i want to view their notes, recommendations. Only way i know how to do this is remove it and install it again: # pacman -Rdd ...
2
votes
1answer
888 views

Pacman Full system upgrade failure

I'm trying to do a full system upgrade using pacman on ArchLinux. I have kernel 3.2. When typing sudo pacman -Syu I got the following errors :: Synchronizing package databases... core is up to date ...
4
votes
2answers
776 views

Arch: Is “SigLevel = Never” the only convenient way?

The only way I can install majority of packages without rejection from signature database is to put SigLevel = Never in pacman.conf. Its not supposed to be the right way, but I don't seem to be able ...
7
votes
1answer
7k views

pacman could not find database

I want to install sudo. So I type in pacman -S sudo. But then I get the following errors: warning: database file for 'extra' does not exist warning: database file for 'community' does not exist ...
1
vote
1answer
470 views

Pacman Full system upgrade ask for replacing packages

Every time I do a full system upgrade pacman ask me the same question : tarting full system upgrade... :: Replace mga-dri with extra/libgl? [Y/n] n :: Replace r128-dri with extra/libgl? [Y/n] n :: ...
0
votes
2answers
816 views

Pacman could not find gnome-system-tools ArchLinux

I tried to install gnome-system-tools on ArchLinux using pacman . I've run pacman -Syy before but pacman could not find the package. Here is my pacman.conf file # # /etc/pacman.conf # # See the ...
6
votes
3answers
1k views

How do I get pacman to use my custom PKGBUILDs when updating?

I customized a PKGBUILD for Apache, ran makepkg and installed it with pacman -U httpd.tar.xz, which worked fine. A few months later I upgraded my system with pacman -Syu which used the system-default ...
1
vote
1answer
289 views

Where are temporary files used for installation stored?

Where are installation temporary files stored by pacman in Arch Linux?